Quote
This API is used to obtain participant IDs data (which can be synchronized once a day).
message ParticipantBrokerIdsResponse {
repeated ParticipantInfo participant_broker_numbers = 1;
}
message ParticipantInfo {
repeated int32 broker_ids = 1;
string participant_name_cn = 2;
string participant_name_en = 3;
string participant_name_hk = 4;
}
Response fields
| Name | Type | Required | Description |
|---|---|---|---|
participant_broker_numbers | object[] | Optional | participant data |
└ broker_ids | int32[] | Optional | broker IDs |
└ participant_name_cn | string | Optional | participant name (zh-CN) |
└ participant_name_en | string | Optional | participant name (en) |
└ participant_name_hk | string | Optional | participant name (zh-HK) |
Response JSON example
{
"participant_broker_numbers": [
{
"broker_ids": [
7738,
7739
],
"participant_name_cn": "华兴金融 (香港)",
"participant_name_en": "China Renaissance(HK)",
"participant_name_hk": "華興金融 (香港)"
}
]
}